Commits

Anonymous committed 710b3a5 Merge

Merge branch 'stable/v9.5.0'

Comments (0)

Files changed (17)

debian/bind9.init

 
 case "$1" in
     start)
-	log_daemon_msg "Starting domain name service..." "bind"
+	log_daemon_msg "Starting domain name service..." "bind9"
 
 	modprobe capability >/dev/null 2>&1 || true
 
     ;;
 
     stop)
-	log_daemon_msg "Stopping domain name service..." "bind"
+	log_daemon_msg "Stopping domain name service..." "bind9"
 	if ! check_network; then
 	    log_end_msg 1
 	    exit 1
     ;;
 
     reload|force-reload)
-	log_daemon_msg "Reloading domain name service..." "bind"
+	log_daemon_msg "Reloading domain name service..." "bind9"
 	if ! check_network; then
 	    log_end_msg 1
 	    exit 1
 	$0 start
     ;;
     
+    status)
+    	ret=0
+	status_of_proc /usr/sbin/named bind9 2>/dev/null || ret=$?
+	if [ $ret = 127 ]; then
+	    pidofproc -p /var/run/bind/run/named.pid >/dev/null && ret=0 || ret=$?
+	fi
+	exit $ret
+	;;
+
     *)
-	log_action_msg "Usage: /etc/init.d/bind9 {start|stop|reload|restart|force-reload}"
+	log_action_msg "Usage: /etc/init.d/bind9 {start|stop|reload|restart|force-reload|status}"
 	exit 1
     ;;
 esac
+bind9 (1:9.5.0.dfsg.P1-2) unstable; urgency=low
+
+  * Revert "meta: merge the mess of single-lib packages back into one large
+    one." - That way lies madness and pain.
+  * init.d/bind9: implement status function.  LP: #203169
+
+ -- LaMont Jones <lamont@debian.org>  Tue, 08 Jul 2008 21:56:58 -0600
+
+bind9 (1:9.5.0.dfsg.P1-1) unstable; urgency=low
+
+  * Repackage 9.5.0.dfsg-5 with the -P1 tarball.
+
+ -- LaMont Jones <lamont@debian.org>  Tue, 08 Jul 2008 15:06:07 -0600
+
 bind9 (1:9.5.0.dfsg-5) unstable; urgency=low
 
   [Internet Software Consortium, Inc]
 
   * Randomize UDP query source ports to improve forgery resilience.
     (CVE-2008-1447)                                                                              
+
   [LaMont Jones]
 
   * add build-depends: texlive-latex-base, xsltproc, remove Bv9ARM.pdf in clean
 
 Package: bind9
 Architecture: any
-Depends: ${shlibs:Depends}, debconf | debconf-2.0, netbase, adduser, libbind9-41 (=${binary:Version}), lsb-base (>= 3.0-6), bind9utils (=${binary:Version})
+Depends: ${shlibs:Depends}, debconf | debconf-2.0, netbase, adduser, libdns43 (=${binary:Version}), libisccfg40 (=${binary:Version}), libisc41 (=${binary:Version}), libisccc40 (=${binary:Version}), lsb-base (>= 3.0-6), bind9utils (=${binary:Version})
 Conflicts: bind, apparmor-profiles (<< 2.1+1075-0ubuntu4)
 Replaces: bind, dnsutils (<< 1:9.1.0-3), apparmor-profiles (<< 2.1+1075-0ubuntu4)
 Suggests: dnsutils, bind9-doc, resolvconf
 Package: bind9utils
 Architecture: any
 Replaces: bind9 (<= 1:9.5.0~b2-1)
-Depends: libbind9-41
+Depends: libbind9-40
 Description: Utilities for BIND
  This package provides various utilities that are useful for maintaining a
  working BIND installation.
 Architecture: any
 Conflicts: bind-dev
 Replaces: bind-dev
-Depends: libbind9-41 (= ${binary:Version}), liblwres40 (= ${binary:Version}) 
+Depends: libbind9-40 (= ${binary:Version}), liblwres40 (= ${binary:Version}) 
 Description: Static Libraries and Headers used by BIND
  This package delivers archive-style libraries, header files, and API man
  pages for libbind, libdns, libisc, and liblwres.  These are are only needed 
  if you want to compile other packages that need more nameserver API than the 
  resolver code provided in libc.
 
-Package: libbind9-41
+Package: libbind9-40
 Section: libs
 Priority: standard
 Architecture: any
-Conflicts: libbind0, libisccc40, libisccfg40
-Replaces: libbind0, libisccc40, libisccfg40
-Provides: libisccc40, libisccfg40
+Conflicts: libbind0, libbind9-41
+Replaces: libbind0
 Depends: ${shlibs:Depends}
-Description: BIND9 Shared Libraries used by BIND
+Description: BIND9 Shared Library used by BIND
  ${Description}
  .
- This package delivers the shared libraries used by BIND (daemons and clients).
+ This package delivers the libbind9 shared library used by BIND's daemons and
+ clients.
+
+Package: libdns43
+Section: libs
+Priority: standard
+Architecture: any
+Conflicts: libbind0, libbind9-41
+Replaces: libbind0
+Depends: ${shlibs:Depends}
+Description: DNS Shared Library used by BIND
+ ${Description}
+ .
+ This package delivers the libdns shared library used by BIND's daemons and
+ clients.
+
+Package: libisc41
+Section: libs
+Priority: standard
+Architecture: any
+Conflicts: libbind0, libbind9-41
+Replaces: libbind0
+Depends: ${shlibs:Depends}
+Description: ISC Shared Library used by BIND
+ ${Description}
+ .
+ This package delivers the libisc shared library used by BIND's daemons and
+ clients.
 
 Package: liblwres40
 Section: libs
 Description: Lightweight Resolver Library used by BIND
  ${Description}
  .
- This package delivers the liblwres shared library used by BIND (daemons and clients.)
+ This package delivers the liblwres shared library used by BIND's daemons
+ and clients.
+
+Package: libisccc40
+Section: libs
+Architecture: any
+Conflicts: libbind0, libbind9-41
+Replaces: libbind0
+Depends: ${shlibs:Depends}
+Description: Command Channel Library used by BIND
+ ${Description}
+ .
+ This package delivers the libisccc shared library used by BIND's daemons
+ and clients, particularly rndc.
+
+Package: libisccfg40
+Section: libs
+Architecture: any
+Conflicts: libbind0, libbind9-41
+Replaces: libbind0
+Depends: ${shlibs:Depends}
+Description: Config File Handling Library used by BIND
+ ${Description}
+ .
+ This package delivers the libisccfg shared library used by BIND's daemons
+ and clients to read and write ISC-style configuration files like named.conf
+ and rndc.conf.
 
 Package: dnsutils
 Priority: standard

debian/libbind9-40.install

+usr/lib/libbind9.so.40*

debian/libbind9-40.postinst

+#!/bin/sh
+
+set -e
+
+#DEBHELPER#

debian/libbind9-41.install

-usr/lib/libbind9.so.40*
-usr/lib/libdns.so.43*
-usr/lib/libisc.so.41*
-usr/lib/libisccc.so.40*
-usr/lib/libisccfg.so.40*

debian/libbind9-41.postinst

-#!/bin/sh
-
-set -e
-
-#DEBHELPER#

debian/libdns43.install

+usr/lib/libdns.so.43*

debian/libdns43.postinst

+#!/bin/sh
+
+set -e
+
+#DEBHELPER#

debian/libisc41.install

+usr/lib/libisc.so.41*

debian/libisc41.postinst

+#!/bin/sh
+
+set -e
+
+#DEBHELPER#

debian/libisccc40.install

+usr/lib/libisccc.so.40*

debian/libisccc40.postinst

+#!/bin/sh
+
+set -e
+
+#DEBHELPER#

debian/libisccfg40.install

+usr/lib/libisccfg.so.40*

debian/libisccfg40.postinst

+#!/bin/sh
+
+set -e
+
+#DEBHELPER#
+msgid ""
+msgstr ""
+"Project-Id-Version: bind9\n"
+"POT-Creation-Date: \n"
+"PO-Revision-Date: 2008-07-13 08:08-0000\n"
+"Last-Translator: Esko Arajärvi <edu@iki.fi>\n"
+"Language-Team: Finnish <debian-l10n-finnish@lists.debian.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Poedit-Language: Finnish\n"
+"X-Poedit-Country: FINLAND\n"
+
+#. Type: string
+#. Description
+#: ../templates:1001
+msgid "User account for running the BIND9 daemon:"
+msgstr "Käyttäjätunnus, jolla BIND9-taustaohjelmaa ajetaan:"
+
+#. Type: string
+#. Description
+#: ../templates:1001
+msgid "The default is to run the BIND9 daemon (named) under the 'bind' user account. To use a different account, please enter the appropriate username."
+msgstr "Oletuksena BIND9-taustaohjelmaa (named) ajetaan käyttäjätunnuksella ”bind”. Jos halutaan käyttää jotain muuta tunnusta, syötä se tähän."
+
+#. Type: string
+#. Description
+#: ../templates:2001
+msgid "Other startup options for named:"
+msgstr "Ohjelman named muut käynnistysvalitsimet:"
+
+#. Type: string
+#. Description
+#: ../templates:2001
+msgid "Please provide any additional options (other than username) that should be passed to the BIND9 daemon (named) on startup."
+msgstr "Anna mahdolliset muut valitsimet (muut kuin käyttäjätunnus), jotka BIND9-taustaohjelmalle (named) tulisi antaa käynnistyksessä."
+
+#. Type: boolean
+#. Description
+#: ../templates:3001
+msgid "Should resolv.conf settings be overridden?"
+msgstr "Tulisiko tiedoston resolv.conf asetukset jättää huomioitta?"
+
+#. Type: boolean
+#. Description
+#: ../templates:3001
+msgid "Please choose whether the resolver should be forced to use the local BIND9 daemon (named) rather than what the current connection recommends, when this machine moves around."
+msgstr "Valitse tulisiko selvittäjä pakottaa käyttämään paikallista BIND9-taustaohjelmaa (named) sen sijaan mitä nykyinen yhteys suosittelee, kun konetta siirrellään eri paikkoihin."
+
 	dh_fixperms -a
 	dh_makeshlibs -a
 	dh_installdeb -a
-	dh_shlibdeps -l"debian/libbind9-41/usr/lib:debian/liblwres40/usr/lib:/usr/lib/libfakeroot" -a
+	dh_shlibdeps -l"debian/libbind9-40/usr/lib:debian/libbind-dev/usr/lib:debian/libdns43/usr/lib:debian/libisc41/usr/lib:debian/libisccc40/usr/lib:debian/libisccfg40/usr/lib:debian/liblwres40/usr/lib:/usr/lib/libfakeroot" -a
 	for i in $$(sed -n '/^Package:/s/^.* //p' debian/control); do cat debian/vars.in >> debian/$$i.substvars; done
 	cat debian/vars.in >> debian/substvars
 	dh_gencontrol -a